cancel
Showing results for 
Search instead for 
Did you mean: 

MyFaces support

Former Member
0 Kudos
59

Should I be able to run a MyFaces (JSF 1.1) application on Java EE 5 Preview Edition? When I try to do so, I get an UnsupportedOperationException. The application has some MyFaces customizations so I can't simply remove the MyFaces jars and reconfigure the application to use the Sun RI.

Has anyone tried MyFaces with EE 5?

Thanks,

Jerry

Accepted Solutions (0)

Answers (1)

Answers (1)

NikiD
Employee
Employee
0 Kudos

Hi

Java EE 5 Preview Edition comes with JSF 1.2 and if your application does not use any MyFaces custom features it should run unchanged.

Since Java EE 5 the JSF runtime is provided by the server and can not be updated by the application. That is a consequence of a number of specification rules among which are JSP TLD order of precedence.

Best Regards

Nikolai Dokovski

Former Member
0 Kudos

Hi,

can I add the component trinidad?

Best regards Oliver

NikiD
Employee
Employee
0 Kudos

Hi,

according <a href="http://incubator.apache.org/adffaces/FAQ.html">Trinidad FAQ</a> such integration should be possible as trinidad should run on any JSF 1.1 (or later) implementation. That’s in theory. In practice I am not aware whether such integration has been made.

Regards

Nikolai Dokovski